Supported database versions in Azure Database for PostgreSQL – Hyperscale (Citus)

PostgreSQL versions

Important

Customizable PostgreSQL versions in Hyperscale (Citus) is currently in preview. This preview is provided without a service level agreement, and it's not recommended for production workloads. Certain features might not be supported or might have constrained capabilities.

You can see a complete list of other new features in preview features for Hyperscale (Citus).

The version of PostgreSQL running in a Hyperscale (Citus) server group is customizable during creation. Choosing anything other than version 11 is currently a preview feature.

Hyperscale (Citus) currently supports the following major versions:

PostgreSQL version 13 (preview)

The current minor release is 13.2. Refer to the PostgreSQL documentation to learn more about improvements and fixes in this minor release.

PostgreSQL version 12 (preview)

The current minor release is 12.6. Refer to the PostgreSQL documentation to learn more about improvements and fixes in this minor release.

PostgreSQL version 11

The current minor release is 11.11. Refer to the PostgreSQL documentation to learn more about improvements and fixes in this minor release.

PostgreSQL version 10 and older

We do not support PostgreSQL version 10 and older for Azure Database for PostgreSQL - Hyperscale (Citus).

Citus and other extension versions

Depending on which version of PostgreSQL is running in a server group, different versions of Postgres extensions will be installed as well. In particular, Postgres 13 comes with Citus 10, and earlier Postgres versions come with Citus 9.5.

Next steps